fipObject Class Referenceabstract

Abstract base class for all objects used by the library. More...

`#include <FreeImagePlus.h>`

Inheritance diagram for fipObject:

## Public Member Functions

virtual | ~fipObject ()
| Destructor.
Information functions
virtual BOOL | isValid () const =0
| Returns TRUE if the object is allocated, FALSE otherwise.

## Detailed Description

Abstract base class for all objects used by the library.

Version
  FreeImage 3

Author
  Hervé Drolon

## Constructor & Destructor Documentation

## ~fipObject()

virtual fipObject::~fipObject | ( |  | ) |

inline virtual

Destructor.

## Member Function Documentation

## isValid()

virtual BOOL fipObject::isValid | ( |  | ) | const

pure virtual

Returns TRUE if the object is allocated, FALSE otherwise.

Implemented in fipImage, fipMemoryIO, fipMetadataFind, fipMultiPage, fipTag, and fipWinImage.

The documentation for this class was generated from the following file:

- FreeImagePlus.h